# -*- coding: utf-8 -*-
import os

def clear_console():
    os.system('cls' if os.name == 'nt' else 'clear')

def choice(prev, text_with_link):
    for i in range(len(text_with_link)):
        print('[{}]: {}'.format(i+1,text_with_link[i][0]))
    res = input()
    if res.isdigit():        
        pos = int(res)-1
        if pos < 0 or pos >= len(text_with_link):
            print("Неправильный номер для выбора, попробуйте еще раз.")
            res=prev
        else:
            res=text_with_link[pos][1]
    elif res != 'exit':
        print("Введите номер или exit")
        res = prev  
    return res
    
sel='start'
print('Наберите exit для выхода из истории.')
while True:
    if sel == 'exit':
       break;
    
    elif sel == 'start':
        clear_console()
        print('Джон Доу')
        print('''Книга-игра Алика Гаджимурадова специально для конкурса от Гильдии авторов ролевых книг-игр. Жанр - фантастика с элементами киберпанка. Ссылки на другие форматы и группу гильдии вы найдете на странице dialas.ru/john''')
        sel = choice(sel, [('Начать игру','main1'), ('От автора','author'), ('Аннотация','card')])
    
    elif sel == 'author':
        clear_console()
        print('От автора')
        print('''Уважаемые игроки! Хочу заранее извиниться за некоторую однообразность геймплея.
Изначально в игре должна была быть гораздо более развитая система взломов с плавающей сложностью, но, к сожалению, по различным причинам реализовать всё задуманное не удалось.
Я постараюсь улучшить ситуацию во второй половине игры, а пока жду ваших отзывов и замечаний.
Выражаю благодарность Антону Ласточкину за общую поддержку,  конверсию игры в различные форматы и идеи по улучшению геймплея, которые, к сожалению, пока не реализованы.''')
        sel = choice(sel, [('Назад','start')])
    
    elif sel == 'card':
        clear_console()
        print('Аннотация')
        print('''Когда пришедший к нему в дом полисмен объявил Джону Доу, что он обвиняется в убийстве одного из завсегдатаев бара с не самой лучшей репутацией, парень решил, что это чья-то глупая шутка.
Затем он пытался объяснить, что это ошибка, но доказательства полиции были неопровержимы. Человек, похожий на Джона, как отражение в зеркале, на глазах у кучи народу, а главное, под объективами камер, нанёс смертельное ранение достававшему его забулдыге и скрылся с места происшествия.
И что же теперь? Отправляться на много лет в тюрьму, с неясными перспективами на дальнейшую жизнь, или попытаться совершить побег,  разобраться, кто же этот загадочный двойник, и доказать свою невиновность? Хватит ли для осуществления этой задачи навыков тестировщика встраиваемых систем и случайно завалявшегося в кармане рабочего терминала?
Кажется, что ответ на последний вопрос  очевидно отрицательный, но, если учесть, что Джон живёт в мире, где умными устройствами контролируется почти каждый аспект жизни, ситуация становится не столь однозначной.''')
        sel = choice(sel, [('Назад','start')])
    
    elif sel == 'main1':
        clear_console()
        print('Дом Джона Доу')
        print('''—Мистер Доу, — полисмен Петракос поставил на стол пустую чашку из-под кофе. Его голос  был таким же спокойным, как и в начале беседы.
—Вы утверждаете, что в день, когда убили господина Шрайдера, всё время были дома. Верно?
— Верно, — устало выдохнул Джон, -Вы меня спрашиваете об этом уже в четвёртый раз!
— Это моя работа,- Петракос улыбнулся.
Образовавшаяся вокруг глаз сеть морщинок   выдавала его солидный возраст, хотя он, по—видимому,  не жалел денег на омолаживающие процедуры, да и за формой следил, Так что худощавый  Джон на его фоне выглядел не слишком выигрышно несмотря на свои двадцать три года.''')
        sel = choice(sel, [('Далее','main1_1')])
    
    elif sel == 'main1_1':
        clear_console()
        
        print('''—в мои прошлые визиты мы просто беседовали, а сейчас разговор носит официальный характер.
Петракос кивнул на планшет перед собой, который записывал весь разговор.
—Хорошо,— Джон выпрямился на стуле, —спрашивайте.
—Расслабьтесь, мистер Доу, это же я у вас в гостях, а не вы у меня,—  Петракос продолжал лучиться дружелюбием.
—Спрашивайте,— мрачно повторил Джон. Перед его мысленным взором всё чаще вставала манящая  картинка: его кулак встречает ровные зубы Петракоса.
—Хорошо,— полисмен перестал улыбаться.
—Как вы можете подтвердить свои слова?''')
        sel = choice(sel, [('Далее','main1_2')])
    
    elif sel == 'main1_2':
        clear_console()
        
        print('''Джон вывел из сна стоявший здесь же компьютер и быстро нашёл нужные файлы.
—Видите,— он указал на строчку под названием "время изменения", —Как раз в это время я работал с этим файлом, а вот здесь,— палец парня чуть сдвинулся, —время сохранения, я закрыл файл.
—Да, вижу,— Петракос внимательно следил за действиями Джона, будто боялся, что он попытается стереть данные. —но откуда я знаю, что всё то время, пока файл был открыт, вы работали с ним?''')
        sel = choice(sel, [('Далее','main1_3')])
    
    elif sel == 'main1_3':
        clear_console()
        
        print('''—Потому что моя работа заключалась в том, чтобы обсудить содержание этого документа с мистером  Манчини, что я и делал посредством видеоконференции,— ровно ответил Джон. —Спросите его— уверен, что он подтвердит.
—Уже спрашивали, и он подтвердил, вот только ваша беседа закончилась  на двадцать пять минут раньше, чем вы закрыли файл. Что скажете? с лица полицейского исчез даже намёк на улыбку.''')
        sel = choice(sel, [('Далее','main1_4')])
    
    elif sel == 'main1_4':
        clear_console()
        
        print('''—Скажу, что мне нужно было внести оговорённые правки,— отозвался Джон, уже понимая, что Петракос ему не верит, но не понимая, почему.
—А что, если я предположу, что в это время вы решили сделать перерыв, выпить чего—нибудь, съездили в бар "Неоновый дождь", встретили там мистера Шрайдера и в завязавшейся ссоре убили его ножом? Что вы на это скажете, мистер Доу?
—Скажу, что вы несёте чепуху!— Джону надоело сдерживать себя.
—Хорошо,— Петракос поднялся со стула и навис над Джоном. — Джон Доу,— голос полисмена звучал теперь почти как у робота.
—Признаёте ли вы себя виновным в причинении смерти мистеру Они Шрайдеру?
—Нет,— голос Джона чуть дрогнул, но он повторил: —нет.
—Жаль,— Петракос сел на место.
—Жаль потому, что вдобавок к этому обвинению теперь добавляются ещё и дача ложных показаний и возможное давление на свидетеля. Петракос взял со стола планшет и, активировав воспроизведение видео, передал устройство Джону. —Посмотрите, пожалуйста, сюда.''')
        sel = choice(sel, [('Далее','main2')])
    
    elif sel == 'main2':
        clear_console()
        print('Полицейский транспорт')
        print('''Внутри автоматический  полицейский транспорт оказался неожиданно уютным. Джон откинулся в анатомическом кресле и прикрыл глаза.
На видеозаписи, которую показал ему Петракос, в баре дрались два человека, и один из них, как две капли воды похожий на Джона, хватал со стола нож,  всаживал его в бок второму и скрывался в поднявшейся суматохе.
Джон не смог объяснить происходящего ничем, кроме видеомонтажа, однако Петракос заявил, что запись была всесторонне исследована и является подлинной, но если подозреваемый сомневается, то может оплатить повторную экспертизу. Джон отказался, таких денег у него не было.''')
        sel = choice(sel, [('Далее','main2_1')])
    
    elif sel == 'main2_1':
        clear_console()
        
        print('''Деньги, всё упирается в деньги. Кто—то либо оплатил высокоточную фабрикацию записи, либо просто купил полицию, но и то и другое удовольствия недешёвые. Джон пытался понять, кому понадобилось подставлять его, но ничего не лезло в голову. Может быть, дело в мистере Манчини, его последнем работодателе? кто—то хочет подставить таким образом его? Чушь! Джон громко рассмеялся, поскольку в транспорте он был один и стесняться было некого. То, что Манчини вступился за него, большая удача и  неожиданность для всех. именно поэтому полиция миндальничала так долго, а не загребла Джона сразу. Этот уважаемый меценат выделял довольно большие суммы из  своих доходов на пожертвования в пользу города, и ссориться с ним не хотели, Хотя теперь эта удача может обернуться для Джона  бедой, ведь ему пытаются пришить давление на свидетеля.
Петракос заявил, что, поскольку Джон дал ложные показания, оставить его до суда под домашним арестом, снабдив следящим браслетом, будет недостаточно безопасно. Так что теперь транспорт вёз его в изолятор.''')
        sel = choice(sel, [('Далее','main2_2')])
    
    elif sel == 'main2_2':
        clear_console()
        
        print('''Поездка должна была занять ещё несколько часов, и Джон от нечего делать пытался продумать аргументы защиты, Хотя и понимал, что оправдаться ему нечем, Разве что согласиться на ментоскопирование. Вспомнив о последнем предложении Петракоса, Джон снова не удержался от смешка.
Полицейский сказал, что, если в ходе процедуры выяснится, что Джон говорит правду, с него будут сняты все обвинения и возмещены все расходы.
Ирония была в том, что даже если бы у Джона были деньги на оплату процедуры, он не пошёл бы на неё.
Ментоскопирование— это полная выгрузка памяти. Просмотрев дамп, судья абсолютно точно будет знать, что Джон Доу не убивал Они Шрайдера,— ага, а кроме этого ещё миллион и один секретик   его работодателей, коммерческий и не только.
Да после такого с ним не то, что  не захотят работать, но и вообще... Джон затруднился представить себе это "вообще", ясно было только, что оно будет нерадостным.''')
        sel = choice(sel, [('Далее','main2_3')])
    
    elif sel == 'main2_3':
        clear_console()
        
        print('''От грустных мыслей захотелось курить. Окон в транспорте не было, но вытяжка работала исправно, а свет давали потолочные панели.
Джон опустил руку в карман куртки, собираясь вытащить портсигар— недавно эти древние аксессуары снова вошли в моду, но его пальцы неожиданно наткнулись на что—то иное. Джон чертыхнулся— снова забыл выложить терминал после работы.
На  ладони лежал его основной рабочий инструмент, маленькое электронное  устройство, оно позволяло подключаться к различным "умным устройствам" для настройки и тестирования, как правило, это были встраиваемые системы, так что помимо доступа через всемирную сеть была возможность и прямого коннекта с целевым  устройством через сервисный разъём. Джон машинально огляделся и к своему удивлению обнаружил на стене метку, обозначающую крышку разъёма.''')
        sel = choice(sel, [('Далее','main2_4')])
    
    elif sel == 'main2_4':
        clear_console()
        
        print('''Он задумчиво вертел девайс в пальцах, Взвешивая все за и против. Если взломать защиту транспорта не удастся, его точно признают виновным и  добавят срок за попытку побега. С другой стороны, оспорить видеозапись он не может, так что его признают виновным в любом случае.
Приняв, наконец, решение, Джон снял крышку с разъёма. Только этого не хватало! Вместо стандартной розетки в углублении  были три одинаковых провода. Перевернув крышку, парень выругался. схема распиновки отсутствовала. Видимо, затёрлась от времени. Хотя, может быть, дело в другом. Кто-то уже предпринимал подобную попытку и  полицейские перестраховались. Их собственные техники, видимо, просто знают порядок подключения, а Джону придётся угадывать. И неизвестно, что случится, если он ошибётся, в лучшем случае возникнет ошибка подключения, а в худшем уже через пару минут здесь будет не протолкнуться от коллег Петракоса.
Бросьте  кубик.''')
        sel = choice(sel, [('Параграф, если выпало три или меньше','p20'), ('Параграф, если выпало больше трёх','p21')])
    
    elif sel == 'p20':
        clear_console()
        
        print('''Джон вставил последний проводок в коннектор терминала и включил устройство.
На экране появилась надпись.''')
        sel = choice(sel, [('Узнать, какая надпись','p20a')])
    
    elif sel == 'p21':
        clear_console()
        
        print('''Джон вставил последний проводок в коннектор терминала и включил устройство.
На экране появилась надпись. Чтобы узнать, какая, откройте параграф 21А''')
        sel = choice(sel, [('Узнать, какая надпись','p21a')])
    
    elif sel == 'p20a':
        clear_console()
        
        print('''"соединение установлено".— Замигало приглашение для ввода команд.''')
        sel = choice(sel, [('Далее','main3')])
    
    elif sel == 'p21a':
        clear_console()
        
        print('''"Ошибка, не удалось установить соединение". Джон чертыхнулся и выключил прибор. По крайней мере, транспорт не остановился, так что есть надежда, что его попытку не расценили как взлом, хотя, кто его знает. Как бы то ни было, терять уже нечего, надо пробовать снова.''')
        sel = choice(sel, [('Вернуться','main2')])
    
    elif sel == 'main3':
        clear_console()
        
        print('''Повезло! Джон облегчённо выдохнул. теперь можно было не спешить.
Джон аккуратно записал телеметрию, передаваемую транспортом на сервер, затем, включив трансляцию записи с терминала, отключил исходный сигнал.
Теперь, Даже если он изменит маршрут транспорта, сервер ничего не заподозрит, продолжая получать старые данные. Сокращение пути Джон, конечно же, учёл, а кратковременную потерю сигнала сервер примет за помеху, которые всё ещё не редкость.
Изменить маршрут оказалось не сложнее. Теперь терминал выступил в роли сервера, с которого на транспорт пришёл сигнал о пробке, после чего послушная колымага двинулась в объезд.
Осталась последняя проблема— выбраться наружу. Замок отпирался только с внешней стороны, но Джон отыскал решение, активировав режим тестирования. Он подал с терминала сигнал о возгорании.''')
        sel = choice(sel, [('Далее','main3_1')])
    
    elif sel == 'main3_1':
        clear_console()
        
        print('''Как Джон и ожидал, транспорт немедленно остановился и открыл замок, Правда, в качестве мести щедро  окатив непрошеного тестера Пирофагом, но это были сущие мелочи.
Не теряя времени, Джон выскочил наружу, не забыв, однако, отсоединить и забрать  терминал.
Джону повезло— район, через который проезжал транспорт, в этот час был безлюдным. Так что никто не обратил на него внимания.
Пропажу транспорта должны были вскоре обнаружить, так что ему следовало попытаться запутать следы.
Он петлял по улицам, пока не наткнулся на небольшую стихийную стоянку возле высотного дома.
Крыша одного из кабриолетов была убрана— видимо, владелец надеялся на защиту зажигания.
Джон в нерешительности  стоял возле машины.  Этим поступком он поставит себя по ту сторону закона, но ведь кто-то уже сделал это против его воли.
Решившись, Джон забрался внутрь и достал терминал.''')
        sel = choice(sel, [('Далее','main4')])
    
    elif sel == 'main4':
        clear_console()
        print('В ресторане мотеля')
        print('''Джон присел за столик в кафетерии при небольшом загородном мотеле.
Полуденное солнце нещадно резало уставшие после бессонной ночи глаза.
Когда по радио в машине прокрутили новости об угоне полицейского транспорта, Джон решил, что отдыхом стоит пренебречь.  К счастью, он уже выехал за черту города, благо, было недалеко.  Мужчина огляделся. публика была разношёрстная: Влюблённая парочка, группа студентов велотуристов, Суровый детина, похожий на дальнобойщика из прошлого века, Щуплый парнишка примерно его возраста— возможно, дальнобойщик современный.
Объединяло их только одно— все были в "суперарсах". Теперь понятно, почему на него  никто не обратил внимания и почему у кафетерия такой нейтральный интерьер— зачем стараться, Если каждый посетитель видит только то, что хочет сам?
Augmented reality system не была чем-то новым, дополненная реальность использовалась с конца прошлого столетия, но в последнее время некоторые заведения быстрого питания предлагали её как дополнительную опцию в меню. Каждый мог находиться в комфортном ему окружении и видеть только тех людей, которых захочет. Для этого их очки должны быть синхронизированы. персонал заведения, разумеется, имел универсальный доступ.''')
        sel = choice(sel, [('Далее','main4_1')])
    
    elif sel == 'main4_1':
        clear_console()
        
        print('''В итоге в выигрыше оставались все. Посетители могли за недорого отужинать хоть в интерьерах Эрмитажа, хоть в красных песках безжизненного Марса, а владельцам мотеля не приходилось тратиться на дизайн. К Джону подъехал официант. Мужчина уже хотел отмахнуться, так как перевод денег моментально выдал бы его местоположение, но с удивлением заметил на круглом боку робота лоток для приёма наличных.
Видимо, это было сделано ради сохранения правдоподобия для посетителей, которые выберут старомодное окружение. Джон взял чашку кофе, но от очков отказался. наличных было не так много, да и настроение не-то. Итак, его ищут. Ехать дальше на машине  нельзя, аккумулятор практически сел, а на заправке вряд ли удастся расплатиться наличкой.
снять номер и поселиться в мотеле — та же проблема идентификации личности для снятия денег. Идти пешком до ближайшего города бессмысленно — одиночку непременно проверят патрульные.
Остаётся одно — попробовать напроситься в попутчики либо к студентам, либо к парнишке дальнобойщику в надежде, что лишних вопросов не будет.
Джон решил подождать, пока кто-то из них закончит обедать, чтобы не пришлось подходить и трясти за плечо.''')
        sel = choice(sel, [('Далее','main4_2')])
    
    elif sel == 'main4_2':
        clear_console()
        
        print('''Чтобы скоротать время, он включил терминал и запустил режим сканирования эфира. Обычно он не пользовался этим режимом, так как на мало-мальски серьёзных устройствах он по умолчанию блокировался ввиду небезопасности.
Оказалось, сервисное подключение официантов не только не блокировано, но и не защищено.
Он подключился ко всем роботам и от нечего делать провёл диагностику.  Роботы были полностью исправны, но поскольку находились в отдельной подсети и  доступ имели только друг к другу и робоповару, толку от них не было никакого.
Наудачу Джон решил подключиться и к повару. робот находился внутри здания мотеля, и его сигнал был неустойчив, но всё же терминал не подвёл.
В этот раз сервисный канал оказался защищён паролем, но система безопасности была не слишком серьёзной, и Джон решил попробовать.
Джон запустил  подбор пароля.''')
        sel = choice(sel, [('Параграф, если выпало три или меньше','p40'), ('Параграф, если выпало больше трёх','p41')])
    
    elif sel == 'p40':
        clear_console()
        
        print('''Постоянно сменяющиеся наборы букв на экране терминала исчезли, и вместо них появилась надпись.''')
        sel = choice(sel, [('Узнать, какая надпись','p40a')])
    
    elif sel == 'p41':
        clear_console()
        
        print('''Постоянно сменяющиеся наборы букв на экране терминала исчезли, и вместо них появилась надпись.''')
        sel = choice(sel, [('Узнать, какая надпись','p41a')])
    
    elif sel == 'p40a':
        clear_console()
        
        print('''"Соединение потеряно." Видимо, робот отошёл за пределы границы уверенного приёма. К счастью, лимита на попытки ввода пароля в системе не было, так что, дождавшись, когда робот вернулся в радиус действия радиопередатчика терминала, джон продолжил подбор.''')
        sel = choice(sel, [('Вернуться','main4')])
    
    elif sel == 'p41a':
        clear_console()
        
        print('''"Добро пожаловать!"''')
        sel = choice(sel, [('Далее','main5')])
    
    elif sel == 'main5':
        clear_console()
        
        print('''Изучив данные, Джон аж присвистнул — повар имел полный доступ к главному серверу мотеля, причём канал не шифровался.
Джон решил, что хозяину стоило бы уволить   администратора сети, не разграничившего доступ. Впрочем, сам Джон был, скорее, благодарен ему, ведь теперь у него  появился шанс нормально передохнуть.
Открыв базу данных постояльцев, он вписал вымышленное имя в свободную графу, не забыв поставить пометку об оплате.
Теперь всё зависело от удачи и человеческого фактора.
Выключив терминал, Джон встал и направился к мотелю.
Перед тем как войти, парень постарался придать лицу как можно более виноватое выражение.
Пожилой Портье за стойкой вперил взгляд в допотопную электронную читалку и не поднял головы, пока подошедший  Джон не нажал на кнопку звонка.
—Чего вам?— не слишком любезно спросил дед.
—Понимаете, мистер,— заискивающе начал Джон, внимательно присматриваясь к портье. Вид у того был хмурый, но вполне бодрый. —Я заселился рано утром... —Ничего не знаю! Я только заступил, и мне не передавали никаких потерянных вещей!— рявкнул дед, намереваясь снова уткнуться в книгу.''')
        sel = choice(sel, [('Далее','main5_1')])
    
    elif sel == 'main5_1':
        clear_console()
        
        print('''—Простите, мистер,— продолжил Джон, —я заселился утром и сразу отправился гулять.
—А мне-то что?- буркнул дед, -Можете гулять и дальше, это не возбраняется!
Джон начал злиться, но постарался сохранить голос виноватым.
—Я потерял ключ-карту, понимаете, и мне теперь не попасть в номер. Не могли бы вы выдать дубликат?
Старик проворчал себе под нос что-то про молодых растяп, но всё же пододвинул клавиатуру терминала.
—Имя!
—Гибсон, Филип  Гибсон.
Старик неожиданно быстро пробежался пальцами  по клавишам.
—Гибсон... Да, есть такой, одну секунду.
Джон затаил дыхание: только бы портье не пришло в голову проверить время создания записи и статус активации   карты! Тогда беды не оберёшься.
Через несколько секунд Старик оторвался от клавиатуры. — Почему-то в базе нет фотографии...
Могу я взглянуть на ваши документы?
—Вы знаете,— Джон порылся в карманах, делая вид, что ищет удостоверение, —Похоже, документы остались в номере.
—В таком случае, ничем не могу помочь,— сухо   ответил портье, —найдите ключ или другой документ, удостоверяющий личность. Кроме того, замена ключа— это платная услуга.
Джон уже собрался сбежать подобру-поздорову, но тут ему пришла спасительная мысль.
—Вы сказали, что в базе не было моей фотографии. Но ведь в этом не моя вина, я прошёл регистрацию по всем правилам.
Портье неопределённо хмыкнул.''')
        sel = choice(sel, [('Далее','main5_2')])
    
    elif sel == 'main5_2':
        clear_console()
        
        print('''—Если бы ваша база работала как положено, то любой робополотёр мог бы сличить фото из неё с оригиналом с точностью, достаточной для идентификации, верно?
Старик кивнул, похоже, понимая, куда клонит Джон.
—А следовательно,— продолжил тот, изо всех сил стараясь, чтобы голос звучал уверенно, —из-за вашей оплошности я не могу получить услугу в полном объёме. пожалуй, я напишу на вас жалобу.
—Я не отвечаю за базу!— зло буркнул дед.
—Конечно,— Джон чуть сбавил обороты, —думаю, ваше руководство разберётся.
—Я приношу извинения от имени фирмы. Полагаю, восстановление ключа за наш счёт будет справедливым возмещением, но  личность вам удостоверить всё же придётся.
Джон подумал, что для простого портье у старика многовато полномочий, но спрашивать ничего не стал.
Вместо этого он снова просительно обратился к деду, причём притворяться уже было не нужно.
—Да поймите же! Я только приехал в ваш городок, а документы в номере остались! Это мне идти в полицию, пока они сделают запрос, да пока придёт ответ, а ночевать-то мне где?!
Портье задумчиво почесал  лоб.''')
        sel = choice(sel, [('Далее','main5_3')])
    
    elif sel == 'main5_3':
        clear_console()
        
        print('''—Знаете что,— Джон понизил голос, хотя в холле никого не было. —А может, Бог с ним, с возмещением? Я заплачу за карту, и  вы мне дадите новую, а про жалобу забудем.
Он выгреб из кармана почти все деньги и протянул портье.
Портье думал ещё несколько мгновений, а потом взял деньги.
—Думаю, так действительно будет лучше,— сказал он, —вам ведь и правда нужно где-то ночевать, да и мне не придётся докладывать про баг с фото. В конце концов, вас не я регистрировал, не мне и отвечать.
—Конечно-конечно,— радостно подтвердил Джон, про себя подумав, что тех денег, что он отдал хитрому старику, хватило бы не только на оплату карты, но и на несколько комплексных обедов.
Портье  нажал кнопку на клавиатуре терминала, и из щели под стойкой к нему в руку выползла свежеотпечатанная карта, которую он и вручил Джону.
—Спасибо большое,— горячо поблагодарил Джон.
—Это моя работа,— буркнул дед, всё же улыбаясь в седые  усы. —А теперь, с вашего позволения, я продолжу читать. и, не дожидаясь ответа, уткнулся в свой древний аппарат.
Джон направился к лифту, стараясь не пуститься бегом и изо всех сил надеясь, что у старика не будет проблем с начальством.''')
        sel = choice(sel, [('Далее','main6')])
    
    elif sel == 'main6':
        clear_console()
        print('В номере')
        print('''Первым желанием Джона при виде застеленной свежим бельём кровати было упасть на неё и заснуть, наплевав на всё.
Гигантским усилием воли он заставил себя сходить в душ. Это помогло отогнать сон, а энергетик, найденный в мини-баре, окончательно привёл парня в чувство.
Джон понимал, что позже организм отомстит за издевательства, но это потом. Сейчас нельзя терять время. Ему нужно знать, удалось ли полиции вновь напасть на след.
Джон, вздохнув, взял из бара ещё одну банку энергетика и,  включив медиаэкран на стене, присел на тяжёлый деревянный табурет.
Канал местных новостей, к счастью, дополнительной оплаты не требовал. Некоторое время Джон вполуха слушал болтовню какого-то местного чинуши о том, как он денно и нощно заботится о нуждах горожан. После с некоторым интересом понаблюдал за участницами городского конкурса красоты. Удовольствие от созерцания юных прелестниц портила только символика спонсора, корпорации Claws.
На взгляд Джона, эмблема, изображающая сову, сжимающую в когтях земной шар, не очень подходила для изображения на эротичных купальниках. Положение не спасал даже оптимистичный лозунг: "Не беспокойтесь, вы в наших руках!"''')
        sel = choice(sel, [('Далее','main6_1')])
    
    elif sel == 'main6_1':
        clear_console()
        
        print('''Джон вспомнил, что неоднократно  видел эту эмблему в городе, да и здесь в гостинице она встречалась довольно часто, вплоть до вышивки полотенец в душе.
Похоже, Роланд Клос и его корпорация имели здесь влияние.
Наконец, началась криминальная хроника.
—Продолжаются поиски подозреваемого в убийстве во время пьяной драки,— безэмоционально вещал ведущий.
Значит, местная полиция уже в курсе и может нагрянуть в любой момент. Очень плохо!
—Доу так же подозревается в порче полицейского имущества и в угоне частного  автотранспорта.
Сейчас на ваших экранах фотография подозреваемого. Если вам известно местонахождение этого человека, или вы видели его в нашем городе, пожалуйста, немедленно сообщите в полицию.
Увидев фото, Джон от неожиданности  едва не выронил недопитую  банку.
С экрана ему ослепительно  улыбался детина вида шкаф с антресолью, ничем не напоминающий самого Джона.
Парень даже подумал, что телевизионщики по ошибке включили рекламу, но бегущая строка подтвердила, что на экране фотография подозреваемого Доу.
Что это? Ошибка редакторов? кто-то напортачил в полиции или?..
Джон ещё некоторое время посидел перед экраном, ожидая, что данные скорректируют, но этого так и не случилось.''')
        sel = choice(sel, [('Далее','main6_2')])
    
    elif sel == 'main6_2':
        clear_console()
        
        print('''Информация требовала проверки. Экран в номере позволял получить доступ не только к телевещанию, но и к интернету, однако для этого нужно было пройти идентификацию.
Джон тяжело вздохнул и достал из кармана служебный терминал.
На этот раз радиоканалы были блокированы, так что снова пришлось подключаться к разъёму.
Сервисный режим оказался защищён паролем, к счастью, проверка была локальной, так что можно было воспользоваться методом грубой силы, не опасаясь реакции системы безопасности.	
Джон активировал режим подбора паролей. Бросьте кубик.''')
        sel = choice(sel, [('Параграф, если выпало три или пять','p60'), ('Параграф, если выпало один или шесть','p61'), ('Параграф, если выпало два или четыре','p62')])
    
    elif sel == 'p60':
        clear_console()
        
        print('''Процесс перебора прекратился, и терминал вывел сообщение.''')
        sel = choice(sel, [('Узнать, какая надпись','p60a')])
    
    elif sel == 'p61':
        clear_console()
        
        print('''Процесс перебора прекратился, и терминал вывел сообщение.''')
        sel = choice(sel, [('Узнать, какая надпись','p61a')])
    
    elif sel == 'p62':
        clear_console()
        
        print('''Процесс перебора прекратился, и терминал вывел сообщение.''')
        sel = choice(sel, [('Узнать, какая надпись','p62a')])
    
    elif sel == 'p60a':
        clear_console()
        
        print('''"Соединение потеряно".   видимо, количество попыток ввода всё же ограничено.
Джон понадеялся, что простое переподключение позволит решить проблему, благо, терминал запоминает опробованные пароли, и начинать весь процесс заново не придётся.
Он вынул коннектор из разъёма, затем вставил его снова, на экране терминала вновь появилось приглашение ввести пароль.
Парень облегчённо выдохнул и отдал команду продолжения подбора.''')
        sel = choice(sel, [('Вернуться','main6')])
    
    elif sel == 'p61a':
        clear_console()
        
        print('''"Сбой подключения. Проверьте кабель". Джон чертыхнулся, вынул коннектор из разъёма и вставил его снова. На экране вновь появилось приглашение к вводу пароля. Кажется, внезапно отваливающееся соединения — это одна из тех проблем, которые останутся с нами несмотря ни на какие технологические прорывы.''')
        sel = choice(sel, [('Вернуться','main6')])
    
    elif sel == 'p62a':
        clear_console()
        
        print('''"Сервисный режим активирован!"''')
        sel = choice(sel, [('Далее','main7')])
    
    elif sel == 'main7':
        clear_console()
        
        print('''Отлично, первый шаг сделан.
По умолчанию при попытке выйти в интернет медиаэкран выводил страницу авторизации, и до ввода учётных данных открыть какой-либо  другой ресурс было невозможно.
Сервисный режим позволял получить доступ к служебной консоли, из которой можно было подключиться к маршрутизатору с целью перехвата данных кого-нибудь из пользователей.
Выяснив адрес шлюза, то есть , собственно, маршрутизатора, Джон дал команду на подключение. Как он и ожидал, Маршрутизатор затребовал для входа учётные данные администратора. Перебор здесь использовать было нельзя, но Джону в очередной раз повезло. Администратор поленился заменить заводские данные на свои собственные, как этого требовали все возможные должностные инструкции, так что стандартная пара admin, admin, не меняющаяся уже более сотни лет, прекрасно подошла.''')
        sel = choice(sel, [('Далее','main7_1')])
    
    elif sel == 'main7_1':
        clear_console()
        
        print('''Джон включил запись всех передаваемых данных и, активировав оповещение по маске, стал терпеливо ждать.
Ждать пришлось около получаса, за это время Джон успел немного перекусить. пирожные в мини-баре оказались очень кстати.
Наконец, терминал пискнул, предупреждая о том, что соответствующие заданному шаблону  данные захвачены и отправлены в файл.
Ещё какое-то время заняла расшифровка, после чего в распоряжении Джона оказались логин и пароль одного из сотрудников мотеля.''')
        sel = choice(sel, [('Далее','main7_2')])
    
    elif sel == 'main7_2':
        clear_console()
        
        print('''Войдя в сеть, Джон подключился к базе данных полиции. Информация о разыскиваемых преступниках была открытой, так что бедолага, данными которого он воспользовался, ничем не рисковал.
Фотография в базе была та же, что и в репортаже. Совершенно незнакомый мужчина.
Отличались все возможные данные: Цвет волос, глаз, группа крови, запись голоса. Совпадало только имя.
Джон отключился от сети и обхватил голову руками.
Итак, полиции можно не опасаться, однако он не в безопасности.''')
        sel = choice(sel, [('Далее','main7_3')])
    
    elif sel == 'main7_3':
        clear_console()
        
        print('''Кто-то взломал сервер полиции и подменил данные? вряд-ли. Больше верится в то, что кто-то влиятельный  просто очень попросил полицию их подменить.
В обоих вариантах остаётся вопрос, зачем? Зачем кому-то понадобилось затевать эту игру? Не для того же, чтобы отмазать его от обвинения? Мозг отказывался работать дальше, мысли начали путаться. Видимо, действие энергетика закончилось.
Уже лёжа в постели Джон заметил на подушке рисунок, силуэт совы, сжимающей в когтях земной шар, и слоган: "не беспокойтесь, вы в наших руках!" Парень перевернул подушку, лёг и почти  мгновенно уснул.''')
        sel = choice(sel, [('Далее','main8')])
    
    elif sel == 'main8':
        clear_console()
        print('В номере( вечер)')
        print('''Джон проснулся, когда на улице уже стемнело.
Вначале он не понял,  что его разбудило, но настойчивый стук в дверь повторился.
Не поднимаясь, Джон дотянулся до экрана и включил режим видеоглазка. Видеосвязь была односторонней, так что визитёр не мог видеть Джона.
За дверью стоял парнишка в форме служащего мотеля. —Вам письмо, мистер Гибсон,— протараторил он в ответ на хмурое приветствие.
Джон едва не  ляпнул, что парень ошибся дверью, но вовремя вспомнил вчерашнюю "легенду". Впрочем, смысл слов парня был всё ещё неясен. —Какое ещё письмо?
—Вот это!— служащий помахал сжатым в руке конвертом.
—А с чего ты взял, что это письмо мне? Джон не спешил, подозревая провокацию. Хотя, если это полиция, они не стали бы церемониться, а просто открыли дверь мастер-картой.
—Так тут же написано: мистеру Ф. Гибсону,— весело ответил парень. Непохоже было, что он торопился— видимо, решил, что можно передохнуть от поручений, а задержки списать на медлительного постояльца.''')
        sel = choice(sel, [('Далее','main8_1')])
    
    elif sel == 'main8_1':
        clear_console()
        
        print('''—Сейчас выйду. Джон приложил усилие, чтобы его голос прозвучал спокойно.
"Итак,— размышлял он, одеваясь, —Неизвестный "благодетель" знает не только то, где я остановился, но и под каким именем". Вариант, что письмо могло быть от кого-то другого, Джон даже не рассматривал.
Поблагодарив служащего, Джон забрал конверт.
—Приятного вечера,— отозвался тот с усмешкой и убежал.
"Чего это он"— подумал Джон, но тут же выбросил парня из головы.
Вернувшись в номер, он попытался вскрыть конверт и только тут заметил, что пальцы мелко подрагивают.''')
        sel = choice(sel, [('Далее','main8_2')])
    
    elif sel == 'main8_2':
        clear_console()
        
        print('''Он не был уверен, страх это или нетерпение. Наконец он справился с конвертом. На ладонь выпал сложенный  лист бумаги, и Джон развернул его.
"Здравствуй, Джонни!
Не удивляйся, мне прекрасно известно, кто такой мистер Гибсон. Я вообще много чего о тебе знаю— например, то, что ты не убивал Они Шрайдера. Более того, Я знаю, кто его убил, и почему полиция подозревает тебя.
Ещё я знаю, что полиция ищет не того человека. Впрочем, если ты беспокоишься о судьбе того миляги с фото, успокойся— его не существует.
Я тебя заинтриговал, а, Джонни? Если хочешь разобраться, что к чему, приходи на заброшенную стройку, координаты на чипе".
Джон потряс конверт, и из него вывалился крошечный инфочип. Джон отложил его и продолжил читать.''')
        sel = choice(sel, [('Далее','main8_3')])
    
    elif sel == 'main8_3':
        clear_console()
        
        print('''"Чтобы тебе было над чем подумать, поделюсь ещё кое-чем из твоей биографии. Не так давно ты поучаствовал в одном эксперименте. Не скажу, что осуждаю тебя за это, но, может быть, тебе стоило лучше выбирать способы заработка. Хотя, мне ли жаловаться? Если бы не этот эксперимент, то мы бы не встретились.
Итак, жду тебя в обозначенном месте в обозначенное время каждый день... Я не тороплю, но хочу напомнить, что у тебя проблемы с документами, и администрация мотеля может об этом вспомнить.
Не держи зла. Удачи!"
Подписи не было.
Джон осмотрел лист и конверт со всех сторон, но больше никаких надписей не обнаружил.
Вставив инфочип в медиаэкран, Джон увидел точку на карте— судя по всему, это действительно было недалеко, и время 15:00. Сегодня идти было поздно, впрочем, вряд ли сегодня его ждали, письмо доставили уже вечером.''')
        sel = choice(sel, [('Далее','main8_4')])
    
    elif sel == 'main8_4':
        clear_console()
        
        print('''Джон присел на кровать и закурил.
Всё же его пытаются подставить, и, скорее всего, Шрайдера убил сам автор письма, ну или это сделали с его подачи— вряд ли столь влиятельный человек завсегдатай того занюханного бара.
Но зачем кому-то подставлять Джона, и причём тут те чокнутые генетики?, а ведь они, а точнее их дурацкий эксперимент и является причиной происходящего— по крайней мере, автор  на это недвусмысленно намекает.
Какая связь между торчком Шрайдером, бывшим оператором робоэкскаватора и генетиками?
Он припомнил двоих учёных, с которыми довелось общаться. Руководитель проекта, солидный, хорошо одетый мистер Хьюз производил впечатление уверенного в себе человека. Его помощник Чарли Бейн напоминал классического сумасшедшего учёного: Мятый костюм, растрёпанные волосы и  торопливая речь.''')
        sel = choice(sel, [('Далее','main8_5')])
    
    elif sel == 'main8_5':
        clear_console()
        
        print('''Джон нашёл тот центр по объявлению в сетке — с работой тогда была напряжёнка, и, увидев возможность легко и при этом законно заработать, он согласился. Хотя в успех не верил ни на минуту, впрочем, от успеха его гонорар и не зависел.
Ему предлагалось выступить в качестве донора генетического материала.
цель эксперимента была смехотворная— создание клона человека, и, конечно же, всё закончилось полным  провалом. Впрочем, ему честно  заплатили.
Стоп! а таким ли уж провалом всё кончилось? Ясное дело, что никакого клона яйцеголовые не создали, но у них остался его, Джона, генетический код.
Вот оно что! Джон хлопнул себя ладонью по лбу. и как он раньше не догадался! Имея генетический материал, вполне можно вырастить клетки кожи, из которых сделать маску и перчатки не такая уж сложная задача. Тем более Чарли говорил о разработке своего начальника под названием "Репликатор".''')
        sel = choice(sel, [('Далее','main8_6')])
    
    elif sel == 'main8_6':
        clear_console()
        
        print('''Теперь всё становилось на свои места, убийца надел маску и перчатки из кожи Джона и в них пришёл в бар, где и прикончил бедолагу Они.
Вопрос с видеозаписью разъяснился, но зачем Хьюзу подставлять Джона? или он просто продал материал третьей стороне? Например, наркоторговцам, а те воспользовались случаем чисто убрать неудобного Шрайдера. Джон же выступил в роли ширмы.
Джон заходил по комнате, выкуривая сигарету за сигаретой.
Можно пойти в полицию и изложить им эту версию. Впрочем, вряд ли она их устроит— слишком трудно проверить. Кроме того, Джон уже и без Шрайдера наворотил дел, так что полиции лучше не попадаться.
Завтра он пойдёт на встречу, это точно, но сейчас Джон не мог сидеть без дела, он должен был узнать хотя бы что-то...''')
        sel = choice(sel, [('Далее','main8_7')])
    
    elif sel == 'main8_7':
        clear_console()
        
        print('''Портье сегодня был другой, угрюмый мужчина средних лет.
На вопрос, нельзя ли поговорить со служащим, принесшим ему письмо, он ответил, что знать не знает, кто именно кому таскал письма. Впрочем, услышав описание, портье довольно быстро опознал некоего Питера и согласился передать, чтобы он как можно скорее зашёл к Джону по очень важному делу.
Джон как раз доедал заказанный в номер стейк, когда в дверь снова постучали.
Он вскочил и распахнул дверь. не ожидавший подобного Питер отшатнулся.
—Вы хотели что-то узнать, мистер Гибсон?— спросил парень, с опаской глядя на Джона, который второпях забыл оставить на столе нож.
—Да, входи,— отозвался Джон, не зная, куда этот самый нож теперь пристроить, и потому вертя его в пальцах.''')
        sel = choice(sel, [('Далее','main8_8')])
    
    elif sel == 'main8_8':
        clear_console()
        
        print('''Питер покосился на нож, но всё же вошёл.
Джон закрыл дверь и, наконец, отложил злосчастный столовый прибор на тарелку, парнишка заметно расслабился.
—Извини,— обратился Джон к служащему, —я просто очень волнуюсь. Скажи, пожалуйста, кто попросил тебя передать письмо?
—Не знаю,— отозвался парень, —На ваше имя пришло письмо, я принёс.
—Точно,— спокойно подтвердил Джон, —а теперь скажи, кто его тебе передал.
—Да о чём вы?— начал Питер.''')
        sel = choice(sel, [('Далее','main8_9')])
    
    elif sel == 'main8_9':
        clear_console()
        
        print('''Джон вспомнил недавнюю ухмылку на физиономии служащего и не выдержал.
—Никто не знает, где я остановился!— рявкнул он, —так что говори, кто дал тебе письмо. Джон был так зол, что даже сделал движение, чтобы схватить Питера за руку, однако тот уклонился.
—Прекратите, мистер Гибсон, или я вызову охрану.
Джон мгновенно успокоился, так как заметил на поясе парня переговорное устройство.
—Ещё раз извини,— пробормотал он, —сегодня я произвожу не лучшее впечатление.
—Что есть, то есть,— отозвался парень, впрочем, вполне беззлобно.
—И всё же, как письмо попало к тебе? Я ведь и правда никому не сообщал, где буду, хотел отдохнуть ото всех.
—Да как обычно, из почтового ящика в холле! Он на мгновение умолк, а потом рассмеялся. —Я понял! Вы же не в курсе нашей почты.''')
        sel = choice(sel, [('Далее','main8_10')])
    
    elif sel == 'main8_10':
        clear_console()
        
        print('''—Что ты имеешь в виду?— Теперь настала очередь Джона удивляться.
—Наша внутригостиничная почта,— объяснил Питер. —Если кто-то хочет написать послание кому-то из постояльцев, он опускает письмо в ящик в холле, а я, либо кто-то из ребят, потом эти письма разносим.
Обычно этим пользуются парочки. Знаете, некоторые считают обмен бумажными письмами чертовски романтичным. —Да уж,— угрюмо отозвался Джон.
—Кстати,— Питер снова ухмыльнулся, —услуга эта недешёвая, так что дама, которая вам писала, не из бедных. Он прервался и театрально прикрыл рот ладонями. —Молчу-молчу! Неприкосновенность частной жизни.
—Письмо было без подписи,— буркнул Джон.
—Тайная воздыхательница!— Питер продолжал кривляться.
Джону очень хотелось стукнуть озабоченного  нахала, но он сдержался.''')
        sel = choice(sel, [('Далее','main8_11')])
    
    elif sel == 'main8_11':
        clear_console()
        
        print('''—Вроде того. Выходит, это кто-то из постояльцев мотеля, или человек с улицы тоже может использовать ящик?
—Может, конечно, но зачем бы?
—Последний вопрос, Пит. Оплату за почту принимает портье? У него можно узнать, кто бросил письмо в ящик?
—Нет, конечно! вы из какой временной дыры вылезли? ящик поддерживает бесконтактную оплату.
—Странно,— хмыкнул Джон, —а я думал, у вас тут всё продумано: не сочетается ведь— бумажные письма и бесконтактная оплата.
—А ведь верно!— вдруг согласился парнишка. —Надо бы написать докладную на имя менеджера по дизайну. Получу премию за идею. Спасибо, мистер Гибсон. —Кто вы, говорите, должен принимать оплату, портье? —Ага,— рассеяно Отозвался Джон, —тебе спасибо, и извини ещё раз.
—Да ерунда,— беззаботно отозвался Пит и выбежал из номера разве что не вприпрыжку.
Джон подключился к гостиничной сети, но оказалось, что ящик полностью изолирован. При попытке выйти в глобальную сеть выяснилось, что пароль, найденный вчера, был суточным и уже изменён, а значит, весь процесс нужно начинать сначала.''')
        sel = choice(sel, [('Далее','main8_12')])
    
    elif sel == 'main8_12':
        clear_console()
        
        print('''Джон решил оставить этот вариант на крайний случай, а пока попробовать более простой, хоть и рискованный способ.
Спустившись в холл, он активировал свой терминал. Радиоканала у ящика не было, Так что пришлось отыскивать физическое местоположение.
Можно было спросить у портье, но внимания привлекать не хотелось.
Ящик обнаружился за большим горшком с декоративной пальмой, он оказался совсем крохотным, потому Джон его и не заметил.
Портье болтал по телефону и в сторону ящика не смотрел, да и горшок, похоже, тут стоял нарочно, с целью создать уединение, но всё же следовало поторопиться, так как у кого-то из постояльцев могла возникнуть потребность отправить письмо.''')
        sel = choice(sel, [('Далее','main8_13')])
    
    elif sel == 'main8_13':
        clear_console()
        
        print('''Оглядевшись для верности, Джон быстро подключил терминал к сервисному разъёму ящика.
Разумеется, для входа потребовался пароль.  Использовать перебор  было крайне рискованно. Защиту обеспечивал банк, через который проходила оплата,а там подобные шуточки не приветствовались. Если повезёт, после нескольких ошибок ящик намертво заблокируется, и, конечно же, уведомит админа о попытке несанкционированного доступа, а если удача окончательно отвернётся от Джона, то помимо этого врубится сирена, сюда сбегутся охранники и возьмут его тёпленьким на месте преступления.
Однако был способ обойти запрос пароля, Джон вспомнил о нём, когда Пит упомянул о бесконтактной оплате.
На большинстве современных систем этот платёжный метод реализовывался с помощью одного и того же приложения.  и по роду своей деятельности Джон знал о имеющейся в нём уязвимости.''')
        sel = choice(sel, [('Далее','main8_14')])
    
    elif sel == 'main8_14':
        clear_console()
        
        print('''Приложение работало по клиент-
серверной схеме и открывало для своих нужд  3 порта. Из-за ошибки в программе при последовательной передаче в каждый из них определённым образом сформированного пакета данных следом можно было передать любую команду, которая будет выполнена с наивысшими привилегиями.
Конечно, дыру довольно быстро закрыли обновлением, но судя по номеру версии по, отображаемой в уголке терминала, на этот аппарат заплатку ещё не поставили.
Сформировать пакеты труда не составляло, фирма, в которой Джон работал, помогала с локализацией проблемы, и в его терминале сохранился рабочий эксплойт.
Трудность была только одна, приложение использовало не жёстко закреплённые номера портов, а случайно выбирало при запуске из заранее  определённого диапазона.
Таким образом, Джону необходимо было трижды выбрать верный порт из трёх вариантов. задачка не самая простая, но, по крайней мере, подобная активность вряд-ли вызовет срабатывание защиты, хотя полностью  исключать такой вариант и не стоит.''')
        sel = choice(sel, [('Далее','game1_start')])
    
    elif sel == 'game1_end':
        clear_console()
        
        print('''В  последнем пакете Джон собирался отправить команду на удаление файла содержащего  хеш пароля сервисного режима, это должно было заставить систему пересоздать его со значением по-умолчанию. Но передумал, и отправил команду на его переименование. Таким образом, по завершении операции он мог вернуть текущий пароль, просто удалив новый файл, и переименовав старый.''')
        sel = choice(sel, [('Далее','main8_15')])
    
    elif sel == 'main8_15':
        clear_console()
        
        print('''Джон снова подключился к разъёму и ввёл пароль по-умолчанию. На дисплее появилась надпись: "Сервисный режим активирован". План удался!
В это время позади раздался звук шагов, кто-то явно направлялся к ящику.
Парень  не глядя загрузил в терминал все логи и почти бегом  поднялся в номер.
Едва закрыв дверь, Джон рухнул на табурет и принялся проглядывать скачанные данные.
—Проклятье!— от злости  Джон едва не запустил терминалом в стену. Оказалось, что ящик  хранит отчёты о транзакциях только за последние два часа. В банке, конечно, все данные хранятся, по крайней мере, несколько лет, но взлом банка— это уже чересчур.
Выходит, у Джона осталась только одна ниточка— завтрашняя встреча на стройке.''')
        sel = choice(sel, [('Далее','main9')])
    
    elif sel == 'main9':
        clear_console()
        print('Встреча')
        print('''Дождь лил всю ночь и добрую половину утра, но к полудню начал стихать.
Когда Джон в назначенное время подходил к заброшенной стройке, небо уже очистилось, однако под ногами хлюпала противная грязь.
Незнакомец уже ждал. Он стоял, привалившись плечом к стене, напоминающей обломок гнилого зуба недостроенной многоэтажки.
Его лицо по самые глаза было закрыто шарфом. Когда Джон приблизился, незнакомец  театрально откинул шарф и, отлепившись от стены, сделал шаг навстречу.
—Привет! Меня зовут Джон Доу!— тон незнакомца был слегка насмешливым.
Джон на миг  ощутил себя, как перед зеркалом. "Лицо" незнакомца походило на его собственное до последней  чёрточки. "это всего лишь маскарад,"— напомнил он себе.
—привет, привет!— Джон постарался, чтобы голос прозвучал равнодушно. —Хорошая работа!, а теперь сними маску.
Незнакомец опешил— он явно  ожидал другой реакции.
—Маску? Ты о чём?
—Я знаю, что эти умники вырастили маску из моей кожи. я оценил шутку, а теперь сними это и давай обсудим, что вам от меня нужно.
—Кожу?!— переспросил незнакомец, —Маску из кожи!? Ты это серьёзно?
—Более чем.
Незнакомец начал хохотать. Он смеялся и смеялся и всё никак не мог остановиться. Ему даже снова пришлось привалиться к стене, чтобы не упасть.
Джону это надоело, он протянул руку, чтобы стащить маску и покончить с дурацкими играми, но незнакомец вдруг резко оборвал смех и ударил его по пальцам.
—Руки прочь! Я свободная личность!
—Сними маску!
—Это не маска.
—Ага, верю! Скажи ещё, что ты мой клон.
—Так и есть, я знал, что ты быстро догадаешься.
Джон разозлился.
—Говорю в последний раз, шутка затянулась. Всем известно, что создать взрослого, разумного клона невозможно.
—Да, верно,— двойник ухмыльнулся, —а известен ли тебе ответ на другой вопрос, зачем при заборе генетического материала давать общий наркоз?
—Понятия не имею. какое это имеет отношение к делу?
—А я тебе отвечу. Незачем, но Хьюз почему-то приказал погрузить тебя в сон. Подумай, зачем.''')
        sel = choice(sel, [('Далее','main9_1')])
    
    elif sel == 'main9_1':
        clear_console()
        
        print('''Джон задумался: действительно, странно. раньше ему и в голову не приходило поразмышлять над этим, он выполнил инструкции, получил деньги и выбросил всё это из головы.
-Не знаю,— наконец ответил он.
—А если допустить, ну хоть на минуту, что я не вру и действительно являюсь твоим полным  клоном?
"Полным клоном,— Джон повертел в мозгу эти слова. —что такое он сам, как личность? Разум, чувства, память. Точно, память".
—Ты намекаешь, что пока я был в отключке, Хьюз провёл?.. —Ментоскопирование,— одновременно с ним закончил двойник, —Бинго, приятель! в десятку!
—Он считал мою память и записал её в мозг клона, как на инфочип?— спросил Джон.
—Точно.
—Но это же невозможно.
—Почему? Потому что раньше никто не делал?— Глядя на ошеломлённого Джона, двойник снова развеселился.
—Как ты можешь это доказать,— спросил Джон, наконец, найдя нужный вопрос.
Двойник начал рассказывать. Он знал все подробности того дня так, как будто сам там присутствовал.
—Помнишь, Чарли объяснял тебе цели создания клона, о испытаниях генетически адаптированных лекарств, а ты заметил, что экспериментировать на младенцах неэтично.
Джон кивнул. —именно тогда  Чарли упомянул о репликаторе, революционном изобретении Хьюза, позволяющем сразу получить взрослого клона, минуя стадию младенчества и детства, но в этом случае клон будет неразумен.
Двойник сказал, что их последнее общее воспоминание— это процесс погружения в сон.
—Впрочем, я догадываюсь, что было дальше,— хмыкнул он. —Когда ты очнулся, Чарли сказал, что, к большому сожалению, эксперимент закончился неудачей, после чего вручил тебе подписанный Хьюзом чек и вежливо выпроводил вон.
Джон слушал спокойно, а когда двойник закончил, заявил, что всё это он мог узнать со слов Бейна или Хьюза. Ведь это они его послали.''')
        sel = choice(sel, [('Далее','main9_2')])
    
    elif sel == 'main9_2':
        clear_console()
        
        print('''—Угу, а ещё они мне рассказали, как ты в восьмом классе влюбился в мисс Пауэр и писал ей любовные послания. Правда, ни одного не отправил,— мрачно хохотнул двойник.
Джон не нашёл, что ответить— о его пламенной влюблённости в учительницу физики не знала ни одна живая душа.
в этот момент мозг пронзила жуткая догадка.
—Погоди,— медленно проговорил он, —если всё, что ты сказал, правда, то может статься... Джон  умолк, не решаясь закончить фразу.
—Может статься, что клоном являешься ты,— пришёл на помощь двойник, широко улыбнувшись. —Не обольщайся. Клон я, это точно.
—Откуда ты знаешь?
—Хьюз сказал.
Джон уже готов был признать правдивость истории,  но тут ему на ум пришёл ещё один вопрос.
—А почему мы не встретились после эксперимента?
—Мы, видимо, очнулись чуть в разное время и в разных помещениях,— ответил двойник. —Я ведь угадал насчёт чека, верно? Джон утвердительно кивнул. —А знаешь, почему? Мне Бейн сказал то же самое.
—Ну а потом?— спросил Джон. —Я из лаборатории двинул прямо домой, но тебя там не было.
—А я решил оттянуться, раз уж деньги появились, искупаться в ртутном озере. Ну и "залип".
"Ртутное озеро" —  электронное психотропное развлечение, предоставляющееся в некоторых заведениях. Гибрид виртуальной реальности и электрической стимуляции центров мозга, отвечающих за удовольствие.''')
        sel = choice(sel, [('Далее','main9_3')])
    
    elif sel == 'main9_3':
        clear_console()
        
        print('''Процедура была недешёвой и вызывала сильную психологическую зависимость, так что Джон не решался попробовать это новомодное развлечение.
Кроме того, имелся неприятный побочный эффект, во время воздействия изменялось ощущение времени. Проведя в виртуальности субъективный час, можно было очнуться через несколько суток Со всеми прилагающимися последствиями. На жаргоне это называлось "залипнуть".
Почти все деньги пришлось оставить в притоне. Выбравшись оттуда, я направился домой, но увидел, что в доме кто-то есть. Я валился с ног от усталости
так что решил отоспаться в гостинице, а затем уже разбираться с захватчиком собственности.
Там меня и нашёл один из подручных Хьюза.
Он сказал, что для меня  есть работа, и предложил вновь зайти в лабораторию. Так как денег почти не было, я согласился.
Когда Хьюз сказал, что я клон, я не поверил, и даже пытался ему врезать, но не вышло. Он предложил удостовериться и прийти снова.
Я сходил домой и увидел тебя, ты как раз собирался в магазин. Тогда я поверил и  испугался, не знал, как жить дальше.
Пошёл в бар, в "Неоновый дождь", хотел выпить и подумать, а ко мне привязался этот Они.
Ты же знаешь, он отмороженный, снова стал цепляться ко мне, требовал денег, мы сцепились, тут мне нож и подвернулся. Двойник говорил горячо, проглатывая слова, —похоже, ему давно хотелось выговориться.
—В поднявшейся суматохе мне удалось сбежать из бара, я остановился в одной из гостиниц, решив утром сдаться полиции.
Но утром в новостях сообщили, что в убийстве обвиняют Джона Доу, и полиция уже работает с ним. я понял, что, если пойду в полицию, это только больше всё запутает. Я отправился к Хьюзу и рассказал ему всё,  сказал, что раз он меня создал, то пусть теперь и отвечает.
Хьюз, как ни странно, согласился, заявил, что  проблемы исходника не должны меня волновать, и что наши цели превыше всего этого.
—А почему ты не пришёл ко мне?— Спросил Джон мягко.
—Не знаю, я тогда соображал плохо, да и что бы я тебе сказал? "Привет, Джонни, я твой клон!" А ещё, я убил Они Шрайдера". двойник горько рассмеялся.
Джон молчал, а клон продолжал рассказывать.
По словам Хьюза, двойник был не просто клоном, в его генотип были внесены изменения, улучшающие работу мозга и увеличивающие физическую силу,  а также генотип был очищен от наследственных болезней и другого мусора.
—Хьюз говорит, что такие, как я— это будущее человечества,— заявил двойник не без самодовольства.''')
        sel = choice(sel, [('Далее','main9_4')])
    
    elif sel == 'main9_4':
        clear_console()
        
        print('''—Если я пройду испытание, то он продолжит работать со мной. Он хочет избавить мир от власти мегакорпораций, и помощь таких, как я, ему понадобится.
—А в чём испытание,— поинтересовался Джон.
—Я должен превзойти тебя,— ответил двойник жёстко.
—Хьюз не называл конкретных условий, просто сказал, превзойти. Я подумал, что ты должен быть в курсе, для того и позвал тебя сюда, а ещё, мне кажется, мы должны быть в равных условиях, потому я помог тебе отвязаться от местной полиции.
Когда придумаю, в чём посоревноваться, сообщу тебе.
—Не хочу я с тобой соревноваться. По-моему нам стоит держаться вместе,- отозвался Джон.
—Только не надо рассказывать мне, что мы сможем подружиться,— буркнул двойник, —Так или иначе будем постоянно выяснять, кто круче, Пусть и неосознанно. А работая  с Хьюзом, я смогу самореализоваться.
—А я?
—А ты уж как-нибудь сам. Двойник чуть   отвёл взгляд. —кое-чем я помог. Дальше крутись, как хочешь.
—А тебя не смущает, что меня преследуют за твой грех?
—Нет!— голос двойника стал холодным. —Ты сам решил пойти в лабораторию Хьюза и согласился на создание клона, пусть ты не осознавал до конца последствий, но это было твоё решение. Всё остальное— это только его следствия, так что тебе и отвечать.
—Хорошо,— Джон решил не спорить. —Но послушай, мне не нравится затея Хьюза.
—Ты боишься, Презрительно скривил губы двойник. —Хьюз рассказывал о своих оппонентах, они заявляют о неэтичности клонирования, но на самом деле они тоже  бояться.
—Да не в клонировании дело!— Воскликнул Джон, злясь из- за того, что двойник не понимает очевидных вещей. —Хьюз нас обманул! нас обоих! Как ты можешь ему верить на слово? И откуда знаешь, что он задумал на самом деле?!
—Да ты просто завидуешь!— двойник тоже перешёл на крик. —Завидуешь, что я войду в историю, а ты так и останешься никем!
—Было бы чему завидовать,— спокойно ответил Джон. Вспышка раздражения мгновенно погасла. —Не хотел бы я войти в историю в роли вторичной бездумной марионетки.
Услышав это, двойник набросился на Джона с кулаками. Он бил яростно, но Джону всё же удавалось сдерживать натиск. В какой—то момент двойник  оступился и едва не налетел на острый штырь. Джон сбавил темп и придержал оппонента, но двойник жеста  не оценил. Он  повалил  Джона и нанёс ему несколько сильных ударов ногами.
—Я доказал своё физическое превосходство,— Бросил клон скорчившемуся на земле Джону, —а ты,— он слегка усмехнулся, —ты показал слабость, свойственную обычным людям. Ведь мог же победить.
—Сострадание— это не слабость,— прохрипел Джон сквозь сжатые зубы. —Это часть человеческой натуры.
—Ну значит, я больше, чем человек,- клон продолжал ухмыляться. —Видимо, эту часть тоже вырезали из моих генов вместе с прочим мусором.
Джон хотел ответить, но клон прервал его.
—Не вижу смысла в дальнейшем споре. Когда придумаю второе испытание, найду тебя. Кстати, напоминаю: у тебя документы не в порядке, так что не засиживайся в отеле. Клон рассмеялся. —Интересно, зачем я тебе это сказал? видимо, сработало фантомное сострадание.
Не слушая ответа Джона, клон развернулся и быстро зашагал прочь.
Приподнявшись на локте, Джон смотрел вслед двойнику до тех пор, пока  тот не скрылся из виду. Затем с усилием поднялся, сплюнул натёкшую в рот кровь и медленно побрёл в сторону мотеля.''')
        sel = choice(sel, [('Далее','main10')])
    
    elif sel == 'main10':
        clear_console()
        print('Снова в мотеле')
        print('''Вернувшись в номер, Джон повалился на кровать и проспал до вечера.
Когда он проснулся, первым, что он почувствовал, была боль. Болело решительно всё.
На первый взгляд переломов не было, но парень решил не рисковать и вызвал в номер робо-диагност, благо, он имелся прямо  в гостинице.
Закончив проверку, жужжащий диск на колёсиках втянул гибкие щупы и вывел на экранчик длинный список разнообразных проблем. Однако стычка с клоном оставила только многочисленные ушибы мягких тканей и повреждение зубов.
Текущие рекомендации сводились к приёму обезболивающих и полному покою.
Джон согласился на введение лекарства, после чего Диагност выстрелил в грудь сидящего на кровати Джона крошечной капсулой, которая немедленно всосалась в кожу.
Затем диагност вывел на экран пожелание доброго здоровья  и выкатился за дверь. Боль ушла через несколько минут, а ещё через четверть часа Джон снова уснул.
Второй раз Джон проснулся от голода.  Тело всё ещё болело, но чувствовать себя бифштексом парень перестал. Кряхтя и постанывая, он оделся и заказал еду в номер.
За завтраком, Джон пытался осмыслить всё, что узнал от клона. Вчера он старался не думать об этом, что было несложно, так как боль мешала сосредоточиться. Сегодня же  мысли толкались в голове, мешая одна другой. У него есть клон. Одно это способно выбить из равновесия не хуже, чем удар кулаком. Джон потёр ноющую скулу, вспомнив атаку клона.''')
        sel = choice(sel, [('Далее','main10_1')])
    
    elif sel == 'main10_1':
        clear_console()
        
        print('''В мире существует человек с его внешностью и памятью, способный выдать себя за него, и вдобавок, похоже, лишённый каких бы то ни было моральных ограничений. Его стремления, а точнее, стремления организации, за ним стоящей, не вполне ясны. В байку про свержение господства корпораций Джон не поверил ни на минуту. Даже странно, что в неё поверил клон. Ведь у него точно такой же багаж знаний. Почему же он верит, а я нет? Джон довольно быстро нашёл ответ, просто примерив ситуацию на себя, и в ответе этом он был уверен.
Клон верит просто потому, что хочет верить. Потому что эта вера делает его нужным, и не просто нужным, а необходимым и значимым для всего мира. Если отнять у него эту веру, разрушить её, он станет никем, лишней деталью в механизме, и он это понимает, а значит, будет держаться за свои убеждения зубами. Точно так же, как держался бы и сам Джон.
Следовательно, разубеждать его и склонять к сотрудничеству бесполезно. Но кто вообще сказал, что Джону и корпорации Хьюза необходимо враждовать? По словам клона, сознательно Джона никто не подставлял, и Джон склонялся к мысли, что клон не ошибается. Значит, можно попробовать наладить диалог с Хьюзом, и чем чёрт не шутит, возможно, тот поможет Джону выпутаться из этой передряги. Конечно, если это будет ему выгодно.
Совершать прогулки желания пока не было, так что Джон решил начать поиск в сети. Правда для этого вновь пришлось воровать чужой суточный пароль, но особых угрызений совести это не вызвало.
Администратор, похоже, что-то заподозрил, ну или просто решил перестраховаться, и сменил-таки пароль маршрутизатора.
Вспомнив вчерашний взлом ящика, Джон решил посмотреть, не открыты ли на роутере какие-либо порты, Благо, доступ к сервисному режиму медиаэкрана у него уже был, Парень подключился к разьёму, открыл  консоль и запустил сканирование.
Несколько портов и впрямь оказались открыты, но их номера были нестандартными и   ничего Джону не говорили. Все, кроме одного, порта 21. Открытый порт службы передачи файлов сам по себе ничего не давал, но увидев его, Джон решил проверить одно предположение.
Запустив на терминале ftp клиент, Джон попытался подключиться к маршрутизатору,  используя всё ту же комбинацию логин admin пароль admin. Как он и предполагал, идиот администратор сменил пароль для входа в режим конфигурации, но забыл поменять его для остальных служб. Теперь, если повезёт, можно попытаться загрузить на маршрутизатор программку, которая вытянет из памяти текущий пароль администратора.
Впрочем, радость Джона была недолгой, через несколько секунд после, казалось бы, успешного подключения маршрутизатор разорвал соединение, выведя напоследок надпись: "ты забыл постучаться!" и несколько колонок цифр.
Что за шутки?! Несколько минут парень просидел без движения, пытаясь понять, что это было, а потом хлопнул себя по лбу: вот оно что! Порт-нокинг!
порт-нокинг! Техника защиты, при которой для успешного подключения к нужному порту, необходимо отправить пакеты в другие открытые порты, причём в определённой последовательности, как бы постучаться условным стуком.
Потому и открыты в системе несколько нестандартных портов.
Джон уже хотел приступить к простукиванию портов, но тут ему пришло в голову, что это может быть ловушкой. К чему бы администратору оставлять самому себе подсказки? Хотя, может, админов  несколько, и, если систему ввели недавно, кто-то мог и подзабыть. Но тогда уж стоило и номера нужных портов написать, чего мелочиться? Тут он вспомнил, что помимо текста, в последнем сообщении были ещё и цифры. Так может быть, это и есть номера портов? Прокрутив консоль назад, Джон действительно  увидел, что значения совпадают с открытыми портами.  16 портов.. неужели нужно простучать их все? как-то чересчур заморочено. Хотя, не зря же они объединены в колонки. 4 по 4, скорее всего, правильным является один из портов в каждой колонке. Возможно, они меняются в зависимости от смен. Слишком много предположений.
Впрочем, других идей всё равно не было, так что Джон приступил к делу.''')
        sel = choice(sel, [('Далее','game2_start')])
    
    elif sel == 'game2_end':
        clear_console()
        
        print('''Джон закончил простукивание портов и снова подключился к серверу передачи файлов. На этот раз связь не оборвалась, и скрипт с флагом автозапуска отправился на маршрутизатор, после чего успешно вытащил с него текстовый файл с паролем. Джон едва в голос нер расхохотался, увидев, что пароль указан непосредственно в файле. Если бы он прочёл о таком в какой-нибудь книге, то решил бы, что автор  либо паталогический лодырь, поленившийся прописать мало мальски правдоподобный процесс взлома, и напихавший за каждый куст по роялю, либо полный профан, неспособный этот самый процесс нормально продумать.
Но вот только Это была не книга, так что Джон решил считать   это маленькое везение компенсацией, за ту кучу проблем, которая на него свалилась, причём не такой уж щедрой откровенно говоря.''')
        sel = choice(sel, [('Далее','main10_2')])
    
    elif sel == 'main10_2':
        clear_console()
        
        print('''Джон потратил несколько часов на поиск информации о лаборатории Хьюза, в сети не было ни строчки, кто-то старательно подчистил следы. Оставалась ещё одна, тоненькая ниточка. После того, как он откликнулся на объявление, договор ему прислали по электронной почте. Домашняя машина отключена. Входить на почтовый сервер под собственными учётными данными нельзя. В ориентировках полиции по-прежнему значится Джон Доу, так что хозяин почтового сервера немедленно отправит информацию куда нужно, как только заметит авторизацию, а наизусть адрес парень, конечно же, не помнил.
Оставалось только ломать почтовый сервер.
В этот раз Джону не повезло. Адрес добыть удалось, но он нашумел, сработала автономная система защиты, и теперь Джон не был уверен, что ушёл  чисто.
На всякий случай он запомнил имя бедолаги, чьи учётные данные использовал, решив помочь, чем сможет, если у того возникнут проблемы с полицией.
Письмо Джон сочинял недолго. Представившись довольным плодотворным сотрудничеством    клиентом, он предлагал обсудить его продолжение. Слово плодотворный Джон выделил жирным шрифтом, надеясь, что этого будет достаточно.
Для отправки он использовал публичный сервер, не требующий подтверждения личности. Так что очередному сотруднику мотеля, чьим паролем воспользовался Джон, опасаться было нечего.''')
        sel = choice(sel, [('Далее','final')])
    
    elif sel == 'final':
        clear_console()
        
        print('''Отправив письмо, Джон собирался оборвать соединение, но в этот момент зажглась иконка ответа.
Открыв его, Джон увидел сообщение.
"Указанный вами адрес более не обслуживается".
Итак, и эта нить оборвана. Идти в лабораторию, скорее всего, тоже бессмысленно, если Хьюз так тщательно почистил электронные следы, то и место обитания, скорее всего, тоже сменил.
Джон всё же решил наведаться в медцентр, где сдавал материал, но так как время было позднее, отложил визит на утро.
Как он и ожидал, никакого медцентра по старому адресу уже не было, а на здании переливалось электронное табло со словами "помещение сдаётся в аренду!"
Джон вернулся в номер, решив немного  передохнуть, а потом попытаться  уехать из городка на попутке, как и собирался в самом начале.
За окном начало темнеть, а он всё сидел, куря сигареты одну за другой, и никак не мог решиться покинуть гостиницу, ведь она давала хоть какую-то иллюзию безопасности.
Внезапно тишину нарушил громкий стук в дверь.
Продолжение следует...''')
        sel = choice(sel, [])
    
    elif sel == 'game1_start':
        clear_console()
        print('Терминал')
        print('''Джон отключил терминал от ящика, перевёл его в режим эмуляции бесконтактной оплаты и осталось.''')
        sel = choice(sel, [('Запустить эксплойт','sel1')])
    
    elif sel == 'sel1':
        clear_console()
        print('Первый порт')
        print('''Выбрать порт для атаки:''')
        sel = choice(sel, [('4320','fail1_1'), ('4321','fail1_2'), ('4322','sel2')])
    
    elif sel == 'fail1_1':
        clear_console()
        
        print('''ошибка отправки пакета, порт подключения закрыт.''')
        sel = choice(sel, [('Вернуться','sel1')])
    
    elif sel == 'fail1_2':
        clear_console()
        
        print('''ошибка отправки пакета, порт подключения закрыт.''')
        sel = choice(sel, [('Вернуться','sel1')])
    
    elif sel == 'sel2':
        clear_console()
        print('Второй порт')
        print('''Пакет отправлен успешно! Выбрать второй порт:''')
        sel = choice(sel, [('5681','fail2_1'), ('5682','sel3'), ('5683','fail2_2')])
    
    elif sel == 'fail2_1':
        clear_console()
        
        print('''ошибка отправки пакета, порт подключения закрыт.''')
        sel = choice(sel, [('Вернуться','sel1')])
    
    elif sel == 'fail2_2':
        clear_console()
        
        print('''ошибка отправки пакета, порт подключения закрыт.''')
        sel = choice(sel, [('Вернуться','sel1')])
    
    elif sel == 'sel3':
        clear_console()
        print('Третий порт')
        print('''Пакет отправлен успешно! Выбрать второй порт:''')
        sel = choice(sel, [('8100','game1_end'), ('8101','fail3_1'), ('8102','fail3_2')])
    
    elif sel == 'fail3_1':
        clear_console()
        
        print('''ошибка отправки пакета, порт подключения закрыт.''')
        sel = choice(sel, [('Вернуться','sel1')])
    
    elif sel == 'fail3_2':
        clear_console()
        
        print('''ошибка отправки пакета, порт подключения закрыт.''')
        sel = choice(sel, [('Вернуться','sel1')])
    
    elif sel == 'game2_start':
        clear_console()
        print('Терминал')
        print('''Установка соединения. Успех!''')
        sel = choice(sel, [('Запустить Knock','gsel1')])
    
    elif sel == 'gsel1':
        clear_console()
        print('Первый порт')
        print('''Выбрать порт для простукивания:''')
        sel = choice(sel, [('48320','gfail1_1'), ('74321','gfail1_2'), ('43226','gsel2'), ('14322','gfail1_3')])
    
    elif sel == 'gfail1_1':
        clear_console()
        
        print('''ошибка отправки пакета, порт подключения закрыт.''')
        sel = choice(sel, [('Вернуться','gsel1')])
    
    elif sel == 'gfail1_2':
        clear_console()
        
        print('''ошибка отправки пакета, порт подключения закрыт.''')
        sel = choice(sel, [('Вернуться','gsel1')])
    
    elif sel == 'gfail1_3':
        clear_console()
        
        print('''ошибка отправки пакета, порт подключения закрыт.''')
        sel = choice(sel, [('Вернуться','gsel1')])
    
    elif sel == 'gsel2':
        clear_console()
        print('Второй порт')
        print('''Пакет отправлен успешно! Выбрать следующий порт:''')
        sel = choice(sel, [('95681','gfail2_1'), ('56382','gsel3'), ('15680','gfail2_2'), ('77683','gfail2_3')])
    
    elif sel == 'gfail2_1':
        clear_console()
        
        print('''ошибка отправки пакета, порт подключения закрыт.''')
        sel = choice(sel, [('Вернуться','gsel1')])
    
    elif sel == 'gfail2_2':
        clear_console()
        
        print('''ошибка отправки пакета, порт подключения закрыт.''')
        sel = choice(sel, [('Вернуться','gsel1')])
    
    elif sel == 'gfail2_3':
        clear_console()
        
        print('''ошибка отправки пакета, порт подключения закрыт.''')
        sel = choice(sel, [('Вернуться','gsel1')])
    
    elif sel == 'gsel3':
        clear_console()
        print('Третий порт')
        print('''Пакет отправлен успешно! Выбрать следующий порт:''')
        sel = choice(sel, [('98100','gsel4'), ('24130','gfail3_1'), ('98902','gfail3_2'), ('66602','gfail3_3')])
    
    elif sel == 'gfail3_1':
        clear_console()
        
        print('''ошибка отправки пакета, порт подключения закрыт.''')
        sel = choice(sel, [('Вернуться','gsel1')])
    
    elif sel == 'gfail3_2':
        clear_console()
        
        print('''ошибка отправки пакета, порт подключения закрыт.''')
        sel = choice(sel, [('Вернуться','gsel1')])
    
    elif sel == 'gfail3_3':
        clear_console()
        
        print('''ошибка отправки пакета, порт подключения закрыт.''')
        sel = choice(sel, [('Вернуться','gsel1')])
    
    elif sel == 'gsel4':
        clear_console()
        print('Четвертый порт')
        print('''Пакет отправлен успешно! Выбрать следующий порт:''')
        sel = choice(sel, [('2222','game2_end'), ('3233','gfail4_1'), ('45345','gfail4_2'), ('33424','gfail4_3')])
    
    elif sel == 'gfail4_1':
        clear_console()
        
        print('''ошибка отправки пакета, порт подключения закрыт.''')
        sel = choice(sel, [('Вернуться','gsel1')])
    
    elif sel == 'gfail4_2':
        clear_console()
        
        print('''ошибка отправки пакета, порт подключения закрыт.''')
        sel = choice(sel, [('Вернуться','gsel1')])
    
    elif sel == 'gfail4_3':
        clear_console()
        
        print('''ошибка отправки пакета, порт подключения закрыт.''')
        sel = choice(sel, [('Вернуться','gsel1')])
    
    else:
        print('Неизвестный выбор: `{}`. Выход!'.format(sel))
        break;